:root {
  --button-icon-size: 1.5rem;
}

form {
  display: grid;
  gap: 1rem;
  padding: 1rem;
  max-width: 45ch;
  margin-inline: auto;

  & button[type="submit"] {
    margin-block: 1rem;
    background-color: var(--color-green);
    color: var(--color-light);
  }
}

h1 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
  text-align: center;
  text-transform: uppercase;
}

event-entry:not([hidden]) {
  display: flex;
  flex-flow: column;
  gap: 0.66rem;
  border-radius: var(--border-radius);
  min-width: min-content;
  text-align: center;
  border: 1px solid;
  padding: 1.5rem;
}

button[type="submit"] {
  display: flex;
  align-items: center;
  gap: 1.5rem;
  justify-content: center;

  img {
    height: 1rem;
  }
}
